#include "asprite.h"

int SP_XY1(int sp,int *y)
// 1スプライトの座標読み出し
{
int stk,x;
unshort *s;
	stk=B_SUPER(0);
	// スプライトレジスタアドレス計算
	s=SP_ADRS(sp,0);
	x=*s++;
	if (y!=NULL) *y=*s;
	B_SUPER(stk);
	return(x);
}
